Subject: bug#13578: [IMPORTANT] Savannah issues

From: Stefano Lattarini <[email-masked]>
Date: Mon, 25 Feb 2013 14:40:37 +0100

On 02/23/2013 07:06 PM, Stefano Lattarini wrote:
>
>>> In a couple of days, I will proceed with this "branch moving":
>>>
>>>    * branch-1.13.2 -> maint
>>>    * maint -> master
>>>    * master -> next
>>>
>> Done.
>>
> Damn, not really.  For some questionable reason, Savannah is rejecting
> my non-fast-forward push to master even if I specify '--force', and
> I cannot use the usual trick "delete the remote branch, then push the
> local one to it" trick that I typically use to work around this
> problem, since 'master' is the "current branch" of the remote
> repository, and that cannot be deleted to avoid confusing "git clone".
> 
> So *THE AUTOMAKE GIT REPOSITORY ON SAVANNAH IS CURRENTLY IN AN
> INCONSISTENT STATE* (not broken, mind you, merely inconsistent with
> our new declared policies), and should not be used until this issue
> is resolved.
> 
> I don't have time to look into this presently,
>
I had time today, so I submitted a Task in the Savannah interface:
<https://savannah.gnu.org/task/index.php?12497>

Regards,
  Stefano